<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/package.php';

date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 
$package = new Package($db);
$data = json_decode(file_get_contents("php://input"));
	
$package->city = $data->city;
$package->package = $data->package;
$package->mbps = $data->mbps;
$package->days = 0;
$package->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$package->entry_date_time = date("Y-m-d H:i:s");	

if($package->exist()){
	$arr = array(
		"message" => "duplicate"
	);
}else{
	if($package->create()){
		$arr = array(
			"message" => "created"
		);
	}else{
		$arr = array(
			"message" => "error"
		);
	}
}
echo json_encode($arr);
?>